## org.apache.myfaces.portlet
Interface DefaultViewSelector

public interface DefaultViewSelector

Imlementations of this interface allow a JSF application to specify which JSF view will be selected when the incoming request does not provide a View Id. The implementation can optionally return `null` to revert to the default View Id specified in portlet.xml.

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Stan Silvert (latest modification by $Author: grantsmith $)

Method Summary
`java.lang.String` `selectViewId(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` This method allows a JSF application to specify which JSF view will be when the incoming request does not provide a view id.
`void` `setPortletContext(javax.portlet.PortletContext portletContext)` This method will be called by the MyFacesGenericPortlet in order to give the selector an opportunity to store a reference to the PortletContext.

Method Detail

### setPortletContext

    public void setPortletContext(javax.portlet.PortletContext portletContext)

  This method will be called by the MyFacesGenericPortlet in order to give the selector an opportunity to store a reference to the PortletContext.

### selectViewId

    public java.lang.String selectViewId(javax.portlet.RenderRequest request,
                                         javax.portlet.RenderResponse response)
                                  throws javax.portlet.PortletException

  This method allows a JSF application to specify which JSF view will be when the incoming request does not provide a view id.

  Parameters:
    `request` - The RenderRequest
    `response` - The RenderResponse
  Returns:
    a JSF View Id, or `null` if the selector wishes to revert to the default View Id specified in portlet.xml.
  Throws:
    `javax.portlet.PortletException` - if a View Id can not be determined because of some underlying error.